Subject: Re: [PATCH 2/2] doc: remove GNU_ROFF option

From: "brian m. carlson" <[email-masked]>
Date: Wed, 12 May 2021 02:28:10 +0000

On 2021-05-12 at 02:18:54, Eric Sunshine wrote:
> On Tue, May 11, 2021 at 10:11 PM brian m. carlson
> <[email-masked]> wrote:
> > By default, groff converts apostrophes in troff source to Unicode
> > apostrophes.  This is helpful and desirable when being used as a
> > typesetter, since it makes the output much cleaner and more readable,
> > but it is a problem in manual pages, since apostrophes are often used
> > around shell commands and these should remain in their ASCII form for
> > compatibility with the shell.
> >
> > Fortunately, the DocBook stylesheets contain a workaround for this case:
> > they detect the special .g number register, which is set only when using
> > groff, and they define a special macro for apostrophes based on whether
> > or not it is set and use that macro to write out the proper character.
> > As a result, the DocBook stylesheets handle all cases correctly
> > automatically, whether the user is using groff or not, unlike our
> > GNU_ROFF code.
> >
> > Additionally, this functionality was implemented in 2010.  Since nobody
> > is shipping security support for an operating system that old anymore,
> > we can just safely assume that the user has upgraded their system in the
> > past decade and remove the GNU_ROFF option and its corresponding
> > stylesheet altogether.
> > ---
> 
> Missing sign-off.

Thanks.  I'll add it below and if I do a reroll, I'll send out a fixed
patch.

Signed-off-by: brian m. carlson <[email-masked]>
-- 
brian m. carlson (he/him or they/them)
Houston, Texas, US